# Index

Expansion is an API for interacting with the Bantu network.

This API serves as the bridge between apps and [Bantu Core](/run-core-node/index.md). Projects like wallets, decentralized exchanges, and asset issuers use Expansion to submit transactions, query an account balance, or stream events like transactions to an account.

Expansion is a [RESTful API](https://en.wikipedia.org/wiki/Representational_state_transfer) and can be accessed via cURL, a browser, or one of the [Bantu SDKs](/software-and-sdks/index.md). To reduce the complexity of your project, we recommend you use an SDK instead of making direct API calls.

The Bantu Blockchain Foundation (BBF) runs two instances of Expansion:

* [https://Expansion.Bantu.org/](https://Expansion.Bantu.network/) for interacting with the public network
* [https://Expansion-testnet.Bantu.org/](https://Expansion-testnet.Bantu.network/) for interacting with the [testnet](/glossary/testnet.md)

API Reference Sections

| [Introduction](/api/introduction.md) | How Expansion is structured.                   |
| ------------------------------------ | ---------------------------------------------- |
| [Resources](/api/resources.md)       | Descriptions of resources and their endpoints. |
| [Aggregations](/api/aggregations.md) | Descriptions of specialized endpoints.         |
| [Errors](/api/errors.md)             | Potential errors and what they mean.           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/introduction/index.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
